# TypeFilter class abstract

### Usage

Developers can implement a custom `TypeFilter` when `FilterType.CUSTOM` is used:

    class MyCustomFilter implements TypeFilter {
      @override
      bool matches(Class cls) {
        return cls.getName().startsWith('Special');
      }
    }

This allows full control over which classes are included/excluded in scanning.

## Constructors

TypeFilter.new()
  const

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

matches(Class cls) → bool
  Returns `true` if the given `cls` matches this filter.
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
setEntryApplication(Class<Object> mainClass) → void
  Set the entry application class
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited